<?xml version="1.0" encoding="utf-8" standalone="no"?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestExpense" xlink:label="loc_ifrs-full_InterestExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestExpense" xlink:to="label_ifrs-full_InterestExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="loc_ifrs-full_FeeAndCommissionExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_FeeAndCommissionExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Fee and commission expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FeeAndCommissionExpense" xlink:to="label_ifrs-full_FeeAndCommissionExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Depreciation, amortisation and impairment loss (reversal of impairment loss) recognised in profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:to="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Tax expense (income)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Profit (loss), attributable to non-controlling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:to="label_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income tax relating to components of other comprehensive income that will be reclassified to profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:to="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income tax relating to components of other comprehensive income that will not be reclassified to profit or loss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:to="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income taxes paid (refund), classified as operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) through transactions with owners, equity</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income tax relating to components of other comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" xlink:to="label_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_EquityAttributableToOwnersOfParentAbstract" xlink:label="loc_AFL_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_EquityAttributableToOwnersOfParentAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_AFL_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_EquityAttributableToOwnersOfParentAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_AFL_EquityAttributableToOwnersOfParentAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Issuedcapitalandsharepremium" xlink:label="loc_AFL_Issuedcapitalandsharepremium" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Issuedcapitalandsharepremium" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IssuedCapitalAndSharePremium</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Issuedcapitalandsharepremium" xlink:to="label_AFL_Issuedcapitalandsharepremium" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ConsolidatedReserves" xlink:label="loc_AFL_ConsolidatedReserves" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ConsolidatedReserves" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Consolidated Reserves</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ConsolidatedReserves" xlink:to="label_AFL_ConsolidatedReserves" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ProfitLossAbstract1" xlink:label="loc_AFL_ProfitLossAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ProfitLossAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ProfitLossAbstract1" xlink:to="label_AFL_ProfitLossAbstract1" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ProfitLossBeforeTaxAbstract" xlink:label="loc_AFL_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ProfitLossBeforeTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ProfitLossBeforeTaxAbstract" xlink:to="label_AFL_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ProfitLossBeforeTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ProfitLossBeforeTaxAbstract" xlink:to="label_AFL_ProfitLossBeforeTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_AFL_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ProfitLossFromOperatingActivitiesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_AFL_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ProfitLossFromOperatingActivitiesAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_AFL_ProfitLossFromOperatingActivitiesAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_GrossOperatingIncomeAbstract" xlink:label="loc_AFL_GrossOperatingIncomeAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_GrossOperatingIncomeAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">GROSS OPERATING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_GrossOperatingIncomeAbstract" xlink:to="label_AFL_GrossOperatingIncomeAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetBankingIncomeAbstract" xlink:label="loc_AFL_NetBankingIncomeAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_NetBankingIncomeAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">NET BANKING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_NetBankingIncomeAbstract" xlink:to="label_AFL_NetBankingIncomeAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" xlink:label="loc_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">GainsLossesOnFinancialInstrumentsAtFairValueThroughProfitOrLoss</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" xlink:to="label_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" xlink:label="loc_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">GainsLossesOnFinancialAssetsAtFairValueThroughOtherComprehensiveIncome</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" xlink:to="label_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetBankingIncome" xlink:label="loc_AFL_NetBankingIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_NetBankingIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">NET BANKING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_NetBankingIncome" xlink:to="label_AFL_NetBankingIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_NetBankingIncome2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">NET BANKING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_NetBankingIncome" xlink:to="label_AFL_NetBankingIncome2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_OperatingExpenses" xlink:label="loc_AFL_OperatingExpenses" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OperatingExpenses" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OperatingExpenses" xlink:to="label_AFL_OperatingExpenses" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OperatingExpenses2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OperatingExpenses" xlink:to="label_AFL_OperatingExpenses2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_GrossOperatingIncome" xlink:label="loc_AFL_GrossOperatingIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_GrossOperatingIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">GROSS OPERATING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_GrossOperatingIncome" xlink:to="label_AFL_GrossOperatingIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_GrossOperatingIncome2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">GROSS OPERATING INCOME</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_GrossOperatingIncome" xlink:to="label_AFL_GrossOperatingIncome2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ComprehensiveIncomeAbstract1" xlink:label="loc_AFL_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ComprehensiveIncomeAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ComprehensiveIncomeAbstract1" xlink:to="label_AFL_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ComprehensiveIncomeAbstract12" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ComprehensiveIncomeAbstract1" xlink:to="label_AFL_ComprehensiveIncomeAbstract12" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:label="loc_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other comprehensive income that will be reclassified to profit or loss, net of tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:to="label_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total other comprehensive income that will be reclassified to profit or loss, net of tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:to="label_AFL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:label="loc_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other comprehensive income that will not be reclassified to profit or loss, net of tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:to="label_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total other comprehensive income that will not be reclassified to profit or loss, net of tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" xlink:to="label_AFL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" xlink:label="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Total Non Cash And Other Adjustment Items Included In PreTax Income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" xlink:to="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncomeAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetProvisionsAndImpairment" xlink:label="loc_AFL_NetProvisionsAndImpairment" />
    <link:label xlink:type="resource" xlink:label="label_AFL_NetProvisionsAndImpairment" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net provisions and impairment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_NetProvisionsAndImpairment" xlink:to="label_AFL_NetProvisionsAndImpairment" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" xlink:label="loc_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Adjustments for which cash effects are investing cash flow</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" xlink:to="label_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" xlink:label="loc_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Adjustments for which cash effects are financing cash flow</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" xlink:to="label_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:label="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Total Non Cash And Other Adjustment Items Included In PreTax Income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" />
    <link:label xlink:type="resource" xlink:label="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total Non Cash And Other Adjustment Items Included In PreTax Income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="label_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" xlink:label="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in assets and liabilities resulting from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" xlink:to="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivitiesAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Changeinintercreditinstitutionsitems" xlink:label="loc_AFL_Changeinintercreditinstitutionsitems" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Changeinintercreditinstitutionsitems" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">ChangeInIntercreditinstitutionsItems</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Changeinintercreditinstitutionsitems" xlink:to="label_AFL_Changeinintercreditinstitutionsitems" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInCustomerItems" xlink:label="loc_AFL_ChangeInCustomerItems" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ChangeInCustomerItems" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in customer items</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ChangeInCustomerItems" xlink:to="label_AFL_ChangeInCustomerItems" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInFinancialAssetsAndLiabilities" xlink:label="loc_AFL_ChangeInFinancialAssetsAndLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ChangeInFinancialAssetsAndLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in financial assets and liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ChangeInFinancialAssetsAndLiabilities" xlink:to="label_AFL_ChangeInFinancialAssetsAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInNonFinancialAssetsAndLiabilities" xlink:label="loc_AFL_ChangeInNonFinancialAssetsAndLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ChangeInNonFinancialAssetsAndLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in non-financial assets and liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ChangeInNonFinancialAssetsAndLiabilities" xlink:to="label_AFL_ChangeInNonFinancialAssetsAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:label="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in assets and liabilities resulting from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) in assets and liabilities resulting from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="label_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Changeinequityinvestmentsinvestingactivities" xlink:label="loc_AFL_Changeinequityinvestmentsinvestingactivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Changeinequityinvestmentsinvestingactivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">ChangeInEquityInvestmentsInvestingActivities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Changeinequityinvestmentsinvestingactivities" xlink:to="label_AFL_Changeinequityinvestmentsinvestingactivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Changeinequityinvestmentsinvestingactivities2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">ChangeInEquityInvestmentsInvestingActivities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Changeinequityinvestmentsinvestingactivities" xlink:to="label_AFL_Changeinequityinvestmentsinvestingactivities2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Cashflowsfrominvestmentproperty" xlink:label="loc_AFL_Cashflowsfrominvestmentproperty" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Cashflowsfrominvestmentproperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">CashFlowsFromInvestmentProperty</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Cashflowsfrominvestmentproperty" xlink:to="label_AFL_Cashflowsfrominvestmentproperty" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" xlink:label="loc_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in property, plant, equipment and intangible assets, investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" xlink:to="label_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Change in property, plant, equipment and intangible assets, investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" xlink:to="label_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" xlink:label="loc_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">CashReceivedFromPaidToShareholdersFinancingActivities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" xlink:to="label_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:label="loc_AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:to="label_AFL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" xlink:label="loc_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Cash and balances with central banks (assets &amp; liabilities)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" xlink:to="label_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetDemandLoansAndDepositsWithCreditInstitutions" xlink:label="loc_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" />
    <link:label xlink:type="resource" xlink:label="label_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net demand, loans and deposits with credit institutions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" xlink:to="label_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" xlink:label="loc_AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) through transactions with owners, equity</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" xlink:to="label_AFL_IncreaseDecreaseThroughTransactionsWithOwnersAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IssuanceRedemptionOfEquityInstruments" xlink:label="loc_AFL_IssuanceRedemptionOfEquityInstruments" />
    <link:label xlink:type="resource" xlink:label="label_AFL_IssuanceRedemptionOfEquityInstruments" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Issuance Redemption Of Equity Instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_IssuanceRedemptionOfEquityInstruments" xlink:to="label_AFL_IssuanceRedemptionOfEquityInstruments" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_RemunerationOfUndatedDeeplySubordinatedNotes" xlink:label="loc_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" />
    <link:label xlink:type="resource" xlink:label="label_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Remuneration Of Undated Deeply Subordinated Notes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" xlink:to="label_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AugmentationDeCapital18Mars" xlink:label="loc_AFL_AugmentationDeCapital18Mars" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AugmentationDeCapital18Mars" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IssueOfEquityMarch18</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AugmentationDeCapital18Mars" xlink:to="label_AFL_AugmentationDeCapital18Mars" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AugmentationDeCapital26Juin" xlink:label="loc_AFL_AugmentationDeCapital26Juin" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AugmentationDeCapital26Juin" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IssueOfEquityJune26</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AugmentationDeCapital26Juin" xlink:to="label_AFL_AugmentationDeCapital26Juin" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AugmentationDeCapital6Novembre" xlink:label="loc_AFL_AugmentationDeCapital6Novembre" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AugmentationDeCapital6Novembre" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IssueOfEquityNovember6</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AugmentationDeCapital6Novembre" xlink:to="label_AFL_AugmentationDeCapital6Novembre" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AugmentationDeCapital27Decembre" xlink:label="loc_AFL_AugmentationDeCapital27Decembre" />
    <link:label xlink:type="resource" xlink:label="label_AFL_AugmentationDeCapital27Decembre" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IssueOfEquityDecember27</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_AFL_AugmentationDeCapital27Decembre" xlink:to="label_AFL_AugmentationDeCapital27Decembre" />
  </link:labelLink>
</link:linkbase>